local CommonResource = ...

-- Egg
CommonResource:registerAssetId("icons/egg.png", "ICON_" .. _CommonResourcePrefix .. "_EGG")

CommonResource:register({
	DataType = "RESOURCE",
	Id = _CommonResourcePrefix .. "_EGG",
	ResourceName = _CommonResourcePrefix .. "_EGG",
	Icon = "ICON_" .. _CommonResourcePrefix .. "_EGG",
	ResourceTypeList = { "FOOD" },
	IsTradable = true,
	ResourceLayoutType = "CRATES",
	VillagerBuyingPrice = { Resource = "GOLD", Quantity = 1 }
})


-- Butter
CommonResource:registerAssetId("icons/butter.png", "ICON_" .. _CommonResourcePrefix .. "_BUTTER")

CommonResource:register({
	DataType = "RESOURCE",
	Id = _CommonResourcePrefix .. "_BUTTER",
	ResourceName = _CommonResourcePrefix .. "_BUTTER",
	Icon = "ICON_" .. _CommonResourcePrefix .. "_BUTTER",
	ResourceTypeList = { "FOOD" },
	IsTradable = true,
	ResourceLayoutType = "CRATES",
	VillagerBuyingPrice = { Resource = "GOLD", Quantity = 4 }
})


-- Carcass
CommonResource:registerAssetId("icons/Carcass.png", "ICON_" .. _CommonResourcePrefix .. "_CARCASS")

CommonResource:register({
	DataType = "RESOURCE",
	Id = _CommonResourcePrefix .. "_CARCASS",
	ResourceName = _CommonResourcePrefix .. "_CARCASS",
	Icon = "ICON_" .. _CommonResourcePrefix .. "_CARCASS",
	ResourceTypeList = { "RESOURCE_FOOD" },
	IsTradable = true,
	ResourceLayoutType = "CRATES",
	-- VillagerBuyingPrice = { Resource = "GOLD", Quantity = 4 },
	DisplayInInventory = true
})



-- Resource Type: Butcher (allows selling at the butcher's counter)
CommonResource:registerEnumValue( "RESOURCE_TYPE", "BUTCHER_RESOURCE_TYPE" )


-- Meat
CommonResource:registerAssetId("icons/Meat.png", "ICON_" .. _CommonResourcePrefix .. "_MEAT")

CommonResource:register({
	DataType = "RESOURCE",
	Id = _CommonResourcePrefix .. "_MEAT",
	ResourceName = _CommonResourcePrefix .. "_MEAT",
	Icon = "ICON_" .. _CommonResourcePrefix .. "_MEAT",
	ResourceTypeList = { "FOOD", "BUTCHER_RESOURCE_TYPE" },
	IsTradable = true,
	ResourceLayoutType = "CRATES",
	VillagerBuyingPrice = { Resource = "GOLD", Quantity = 14 },
	DisplayInInventory = true
})
